#include<bits/stdc++.h>
#define endl '\n'
using namespace std;
long long a[100005],b[100005],nxt[100005];
bool used[100005];
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long i,j,n,br=0;

    cin>>n;

    for(i=1;i<=n;i++)
    {
        cin>>a[i];
    }
    for(i=1;i<=n;i++)
    {
       cin>>b[i];
       if(i!=1) nxt[b[i-1]]=b[i];
    }
    for(i=1;i<=n;i++)
    {
        if(used[a[i]])continue;
        j=i;
        while(nxt[a[j]]==a[j+1])
        {
            used[a[j+1]]=1;
            j=a[j+1];
        }
        br++;
    }
    cout<<br<<endl;
}

